package idl;
/**
<p>
<ul>
<li> <b>Java Class</b> idl.HelloCorba
<li> <b>Source File</b> idl/HelloCorba.java
<li> <b>IDL Source File</b> HelloCorba.idl
<li> <b>IDL Absolute Name</b> ::idl::HelloCorba
<li> <b>Repository Identifier</b> IDL:idl/HelloCorba:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface HelloCorba {
      void setOneString(
        in string value1
      );
      void setTwoStrings(
        in string value1,
        in string value2
      );
      void setThreeStrings(
        in string value1,
        in string value2,
        in string value3
      );
      string getOneString();
      string getTwoStrings(
        out string value2
      );
      string getThreeStrings(
        out string value2,
        out string value3
      );
      void setLong(
        in long value
      );
      long getLong();
      void outLong(
        out long value
      );
      void setShort(
        in short value
      );
      short getShort();
      void outShort(
        out short value
      );
      void setULong(
        in unsigned long value
      );
      unsigned long getULong();
      void outULong(
        out unsigned long value
      );
      void setUShort(
        in unsigned short value
      );
      unsigned short getUShort();
      void outUShort(
        out unsigned short value
      );
      void setChar(
        in char value
      );
      char getChar();
      void outChar(
        out char value
      );
      void setBoolean(
        in boolean value
      );
      boolean getBoolean();
      void outBoolean(
        out boolean value
      );
      void setOctet(
        in octet value
      );
      octet getOctet();
      void outOctet(
        out octet value
      );
    };
</pre>
</p>
*/
public interface HelloCorba extends org.omg.CORBA.Object {
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setOneString</b>.
  <pre>
    void setOneString(
      in string value1
    );
  </pre>
  </p>
  */
  public void setOneString(
    java.lang.String value1
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setTwoStrings</b>.
  <pre>
    void setTwoStrings(
      in string value1,
      in string value2
    );
  </pre>
  </p>
  */
  public void setTwoStrings(
    java.lang.String value1,
    java.lang.String value2
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setThreeStrings</b>.
  <pre>
    void setThreeStrings(
      in string value1,
      in string value2,
      in string value3
    );
  </pre>
  </p>
  */
  public void setThreeStrings(
    java.lang.String value1,
    java.lang.String value2,
    java.lang.String value3
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getOneString</b>.
  <pre>
    string getOneString();
  </pre>
  </p>
  */
  public java.lang.String getOneString();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getTwoStrings</b>.
  <pre>
    string getTwoStrings(
      out string value2
    );
  </pre>
  </p>
  */
  public java.lang.String getTwoStrings(
    org.omg.CORBA.StringHolder value2
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getThreeStrings</b>.
  <pre>
    string getThreeStrings(
      out string value2,
      out string value3
    );
  </pre>
  </p>
  */
  public java.lang.String getThreeStrings(
    org.omg.CORBA.StringHolder value2,
    org.omg.CORBA.StringHolder value3
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setLong</b>.
  <pre>
    void setLong(
      in long value
    );
  </pre>
  </p>
  */
  public void setLong(
    int value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getLong</b>.
  <pre>
    long getLong();
  </pre>
  </p>
  */
  public int getLong();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outLong</b>.
  <pre>
    void outLong(
      out long value
    );
  </pre>
  </p>
  */
  public void outLong(
    org.omg.CORBA.IntHolder value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setShort</b>.
  <pre>
    void setShort(
      in short value
    );
  </pre>
  </p>
  */
  public void setShort(
    short value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getShort</b>.
  <pre>
    short getShort();
  </pre>
  </p>
  */
  public short getShort();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outShort</b>.
  <pre>
    void outShort(
      out short value
    );
  </pre>
  </p>
  */
  public void outShort(
    org.omg.CORBA.ShortHolder value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setULong</b>.
  <pre>
    void setULong(
      in unsigned long value
    );
  </pre>
  </p>
  */
  public void setULong(
    int value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getULong</b>.
  <pre>
    unsigned long getULong();
  </pre>
  </p>
  */
  public int getULong();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outULong</b>.
  <pre>
    void outULong(
      out unsigned long value
    );
  </pre>
  </p>
  */
  public void outULong(
    org.omg.CORBA.IntHolder value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setUShort</b>.
  <pre>
    void setUShort(
      in unsigned short value
    );
  </pre>
  </p>
  */
  public void setUShort(
    short value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getUShort</b>.
  <pre>
    unsigned short getUShort();
  </pre>
  </p>
  */
  public short getUShort();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outUShort</b>.
  <pre>
    void outUShort(
      out unsigned short value
    );
  </pre>
  </p>
  */
  public void outUShort(
    org.omg.CORBA.ShortHolder value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setChar</b>.
  <pre>
    void setChar(
      in char value
    );
  </pre>
  </p>
  */
  public void setChar(
    char value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getChar</b>.
  <pre>
    char getChar();
  </pre>
  </p>
  */
  public char getChar();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outChar</b>.
  <pre>
    void outChar(
      out char value
    );
  </pre>
  </p>
  */
  public void outChar(
    org.omg.CORBA.CharHolder value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setBoolean</b>.
  <pre>
    void setBoolean(
      in boolean value
    );
  </pre>
  </p>
  */
  public void setBoolean(
    boolean value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getBoolean</b>.
  <pre>
    boolean getBoolean();
  </pre>
  </p>
  */
  public boolean getBoolean();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outBoolean</b>.
  <pre>
    void outBoolean(
      out boolean value
    );
  </pre>
  </p>
  */
  public void outBoolean(
    org.omg.CORBA.BooleanHolder value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setOctet</b>.
  <pre>
    void setOctet(
      in octet value
    );
  </pre>
  </p>
  */
  public void setOctet(
    byte value
  );
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getOctet</b>.
  <pre>
    octet getOctet();
  </pre>
  </p>
  */
  public byte getOctet();
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outOctet</b>.
  <pre>
    void outOctet(
      out octet value
    );
  </pre>
  </p>
  */
  public void outOctet(
    org.omg.CORBA.ByteHolder value
  );
}
